# Notificaciones de callback

Las notificaciones de callback se utilizan para informar a los comerciantes sobre cambios en el estado del pago. La notificación solo se envía cuando la URL de callback está configurada en la configuración de la tienda.

Cuando se recibe el callback, puede llamar al [obtener información del pago](/documentation-es/referencias-de-la-api/api-para-comerciantes/pagos.md#get-egw-version-payments-paymentid) endpoint para recibir detalles actualizados sobre el pago. No se espera ningún cuerpo de respuesta en respuesta a las notificaciones.

Si no se entrega la notificación, se activarán reintentos con un retraso creciente: después de 1 segundo, 5 minutos, 1 hora, 1 día, 2 días, 3 días. Si todos los intentos de reintento no tienen éxito, no se realizarán más solicitudes.

## Callback notification

> Notifies the merchant about payment status changes.

```json
{"openapi":"3.1.0","info":{"title":"E-commerce Gateway Callback API","version":"1.0.0"},"servers":[{"url":"https://hostname"}],"paths":{"/":{"post":{"summary":"Callback notification","description":"Notifies the merchant about payment status changes.","operationId":"callbackNotification","parameters":[{"name":"X-Request-Id","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party","required":true,"schema":{"type":"string","format":"uuid","description":"ID of the request, unique to the call, as determined by the initiating party"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallbackRequest"}}},"required":true},"responses":{"2XX":{"description":"Notification received.\n\nAny other response code will be treated as a failure and the notification will be retried at a later time.\n"}}}}},"components":{"schemas":{"CallbackRequest":{"type":"object","properties":{"type":{"type":"string","description":"The type of the notification, possible values:\n  * PAYMENT - notification about payment status changes\n","enum":["PAYMENT"]},"paymentId":{"type":"string","description":"Unique ID of the payment","maxLength":64},"paymentStatus":{"type":"string","description":"The new status of the payment","enum":["SENT_FOR_PROCESSING","ABANDONED","AUTHORIZED","CAPTURED","CANCELLED","SETTLED","FAILED","REFUNDED"]}},"required":["type"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.ecomm.api.tietoevry.com/documentation-es/referencias-de-la-api/api-para-comerciantes/notificaciones-de-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
